Bug 167376 - Review Request: perl-DateTime
Review Request: perl-DateTime
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://ftp.kspei.com/pub/steve/rpms/p...
:
Depends On: 167377
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-01 20:38 EDT by Steven Pritchard
Modified: 2010-07-17 01:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 16:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Spec addressing first-pass issues (4.57 KB, text/plain)
2005-09-16 09:38 EDT, Paul Howarth
no flags Details

  None (edit)
Description Steven Pritchard 2005-09-01 20:38:56 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime/perl-DateTime.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-0.2901-1.src.rpm
Description:
The DateTime.pm module aims to provide a complete, correct, and easy to use
date/time object implementation. Currently it handles many date
calculations, date math (addition and subtraction), and provides convenient
methods for retrieving portions of a date/time.

This package is a bit odd.  To avoid circular dependencies, I've bundled DateTime, DateTime::Locale, and DateTime::TimeZone.
Comment 1 Paul Howarth 2005-09-16 09:36:58 EDT
Well, this was an interesting package. Looking at it, I found a few problems and
nit-picks without doing a formal review:

- The DateTime tarball was unpacked three times, once when expected and also
when the other two tarballs were unpacked

- The files list listed some files more than once (since the package contains a
mix of arch-specific and arch-independent modules, and %{perl_vendorarch} is
included within %{perl_vendorlib})

- The DT::Locale module includes an additional license file

- The package wasn't rpmlint clean (complains about having both versioned and
unversioned Provides: entries for two of the modules)

- The package doesn't build in mock (PERLLIB gets clobbered by the test scripts)

I've had a go at fixing all of these issues, and will attach a new spec file to
this bug. See what you think.
Comment 2 Paul Howarth 2005-09-16 09:38:29 EDT
Created attachment 118893 [details]
Spec addressing first-pass issues
Comment 4 Paul Howarth 2005-09-16 14:44:11 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- some files licensed differently (disttributable), additional license included
- spec file written in English and is legible
- sources match upstream
- package builds OK in FC4 and in mock for FC3 and rawhide (i386)
- BR's OK
- no locales, libraries, subpackages, or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets

Approved.
Comment 5 Mark Chappell 2010-07-15 11:20:28 EDT
Package Change Request
======================
Package Name: perl-DateTime
New Branches: EL-6
Owners: tremble


No response from owner, and it's going to be tied to EL-6 SRPMs anyway...
https://bugzilla.redhat.com/show_bug.cgi?id=612864
Comment 6 Kevin Fenzi 2010-07-17 01:42:00 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.